Subject: Re: bug#9948: valgrind warning: Conditional jump or move depends on uninitialised value(s) in redisplay_window

From: Paul Eggert <[email-masked]>
Date: Sun, 06 Nov 2011 22:08:54 -0800

On 11/06/11 22:00, Eli Zaretskii wrote:
> Again, I don't see how any of this could involve an uninitialized
> variable.

I don't either, but the analysis you gave is not complete.
For example:

  SET_TEXT_POS_FROM_MARKER (startp, w->start);

does not set startp to a valid charpos if w->start
points to uninitialized data.

A problem with valgrind is that this sort of analysis
can be very painful to do, if one wants to do it completely.
I found this out the hard way when trying to apply valgrind
to Emacs's garbage collector....